
<div class="marge">
    <div class="row col-md-3" *ngIf="vue==1">
        <div class="panel panel-primary">
            <div class="panel-heading">Ajouter Un Rendez-Vous</div>
            <div class="panel-body">

                <form #form="ngForm" (ngSubmit)="ajouterrendezvous(form.value)">
                <div class="form-group">
                    <label for="usr">Date :</label>
                    <input type="date" name="daterendezvous" class="form-control" ngModel>
                </div>
               
        
                <div class="form-group" *ngIf="listepatient">
                    <label for="sel1">Patient :</label>
           
                        <select  class="form-control" name="idpatient" ngModel>
                            <option *ngFor="let patient of listepatient">
                                {{patient.idpatient}}
                            </option>
                            
                        </select>
                 
                </div>

                <div class="form-group" *ngIf="listemedecin">
                    <label for="sel1">Medecin :</label>
                    <select  class="form-control" name="idmedecin" ngModel>
                        <option *ngFor="let medecin of listemedecin">
                            {{medecin.idmedecin}} 
                        </option>
                       
                       
                    </select>
                </div>
                <button type="submit" class="btn btn-primary col-md-12">Enregistrer</button>
            </form>
            </div>
            

        </div>
    </div>

    <div class="row col-md-9" *ngIf="vue==1">

        <div class="panel panel-primary">
            <div class="panel-heading"></div>
            <div class="panel-body">

                <h2 class="bg-primary col-sm-7">INFORMATION RENDEZ-VOUS</h2>
                <div class="col-md-offset-9">
                    <img src="/assets/images/rdv.jpg" width="150" class="img-circle" alt="Cinque Terre">
                    
                </div>
                <div>
                    <form #fo="ngForm" (ngSubmit)="Onchercher(fo.value)">
                        <div class="form-group col-sm-3">
                            <label style="color: red;"></label>
                            <input type="date" name="daterendezvous" class="form-control" ngModel placeholder="Recherche">
                            <button type="submit" class="btn btn-primary col-sm-12 glyphicon glyphicon-search"></button>
                        </div>
                    </form>
                </div>

                <table class="table table-bordered" *ngIf="listerendezvous">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>DATE</th>
                            

                        </tr>
                    </thead>
                    <tbody *ngFor="let rdv of listerendezvous._embedded.rendezVouses">
                        <tr>
                            <td>{{rdv.idrendezvous}}</td>
                            <td>
                                {{rdv.daterendezvous | date:'M/d/yy, h:mm a'}} 
                            </td>
                           
                            <td><button class="btn btn-danger"> <a (click)="onDelete(rdv)"
                                        class="glyphicon glyphicon-trash"></a> </button></td>
                            <td><button class="btn btn-warning"> <a (click)="onUpdate(rdv)" class="glyphicon glyphicon-pencil"></a> </button>
                            </td>
                            <td><button class="btn btn-info"> <a (click)="detailRendezVous(rdv)"
                                class="glyphicon glyphicon-th-list"></a> Details</button></td>
                        </tr>

                    </tbody>
                </table>
                <ul *ngIf="pages" class="nav nav-pills">
                    <li [ngClass]="i==pagecourant?'active':''" *ngFor="let p  of pages; let i=index">
                        <a (click)="pageRendezVous(i)">{{i}}</a>
                    </li>
                </ul>
            </div>
        </div>

    
       

     
    </div>

    <div *ngIf="vue==2">
        <div class="panel panel-danger">
              <div class="panel-heading">Details sur les Rendez-Vous des Patients et Medecin</div>
                  <div class="panel-body">
                      <table class="table table-bordered" >
                          <thead>
                              <tr class="panel panel-primary">
                                  <th class="panel-heading">RDV N° RDV</th>
                                  <th class="panel-heading">DATE RENDEZ-VOUS</th>
                                  <th class="panel-heading">NOM PATIENT</th>
                                  <th class="panel-heading"> PRENOM PATIENT</th>
                                  <th class="panel-heading">ADRESSE PATIENT</th>
                                  <th class="panel-heading">TELEPHONE PATIENT</th>
                                  <th class="panel-heading">DATE NAISS PATIENT</th>
                             
                                  <th class="panel-heading">NOM MEDECIN</th>
                                  <th class="panel-heading">PRENOM MEDECIN</th>
                                  <th class="panel-heading"> ADRESSE MEDECIN</th>
                                  <th class="panel-heading">TELEPHONE MEDECIN</th>
                                  <th class="panel-heading">DATE NAISS PATIENT</th>
                                  
                               </tr>
                               
                          </thead>
                          <tbody *ngIf="details">
                              <tr>
                                  <td> RDV N° : {{details.idrendezvous}}</td>
                                  <td> {{details.daterendezvous | date:'M/d/yy, h:mm a'}}</td>
                                  <td>{{details.patient.nompatient}}</td>
                                  <td>{{details.patient.prenompatient}}</td>
                                  <td>{{details.patient.adressepatient}}</td>
                                  <td>{{details.patient.telpatient}}</td>
                                  <td>{{details.patient.dateNaisspatient | date: 'dd/MM/yyyy hh:mm a'}}</td>
                                  <td>{{details.medecin.nommedecin}}</td>
                                  <td> {{details.medecin.prenommedecin}}</td>
                                  <td>{{details.medecin.adressemedecin}}</td>
                                  <td>{{details.medecin.telmedecin}}</td>
                                  <td>{{details.medecin.dateNaissmedecin | date:'M/d/yy, h:mm a'}}</td>
                                 
                              </tr>
                  
                          </tbody>
                      </table>
                      <br><br><br><br><br>
                      <button (click)="PageRendezVous()" class="btn btn-primary col-sm-2 col-md-offset-10">Rendez-Vous</button>
                  </div>
                  
          </div>
    </div>
    
   
</div>
